VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallAddressRule Class Reference

`Inbound.FirewallAddressRule` class Structure that defines a single address-based firewall rule. More...

List of all members.

## Public Member Functions
| FirewallAddressRule ()
| Creates a default new instance.
string | GetAddress ()
| IPv4 or IPv6 address.
void | SetAddress (string address)
| IPv4 or IPv6 address.
long | GetPrefix ()
| CIDR prefix used to mask address.
void | SetPrefix (long prefix)
| CIDR prefix used to mask address.
vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallRulePolicy | GetPolicy ()
| The allow or deny policy of this rule.
void | SetPolicy (vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallRulePolicy policy)
| The allow or deny policy of this rule.
string | GetInterfaceName ()
| The interface to which this rule applies.
void | SetInterfaceName (string interfaceName)
| The interface to which this rule applies.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Inbound.FirewallAddressRule` class Structure that defines a single address-based firewall rule.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallAddressRule::FirewallAddressRule | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallAddressRule::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallAddressRule::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallAddressRule::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallAddressRule::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallAddressRule::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallAddressRule::Equals | ( | object | obj | ) | `[inline]`

string vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallAddressRule::GetAddress | ( |  | ) | `[inline]`

IPv4 or IPv6 address.

override int vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallAddressRule::GetHashCode | ( |  | ) | `[inline]`

string vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallAddressRule::GetInterfaceName | ( |  | ) | `[inline]`

The interface to which this rule applies.

An empty string or "*" indicates that the rule applies to all interfaces.

vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallRulePolicy vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallAddressRule::GetPolicy | ( |  | ) | `[inline]`

The allow or deny policy of this rule.

long vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallAddressRule::GetPrefix | ( |  | ) | `[inline]`

CIDR prefix used to mask address.

For example, an IPv4 prefix of 24 ignores the low-order 8 bits of address.

void vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallAddressRule::SetAddress | ( | string | address | ) | `[inline]`

IPv4 or IPv6 address.

void vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallAddressRule::SetInterfaceName | ( | string | interfaceName | ) | `[inline]`

The interface to which this rule applies.

An empty string or "*" indicates that the rule applies to all interfaces.

void vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallAddressRule::SetPolicy | ( | vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallRulePolicy | policy | ) | `[inline]`

The allow or deny policy of this rule.

void vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallAddressRule::SetPrefix | ( | long | prefix | ) | `[inline]`

CIDR prefix used to mask address.

For example, an IPv4 prefix of 24 ignores the low-order 8 bits of address.

override string vmware::appliance::techpreview::networking::firewall::addr::InboundTypes::FirewallAddressRule::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- InboundTypes.cs